#!/usr/bin/python
import os, xbmcaddon, shutil, glob, zipfile, xbmc

def copytree(src, dst):
	files = glob.glob(os.path.join(src,"*"))

	for file in files:
		shutil.copy(os.path.join(src,file), dst)

addonID = "service.eminence.heb.logo"
Addon = xbmcaddon.Addon(addonID)
AddonName = Addon.getAddonInfo("name")
AddonVer = Addon.getAddonInfo("version")

source = xbmc.translatePath(os.path.join('special://home','addons',addonID,'resources','logos')); 
target = xbmc.translatePath(os.path.join('special://userdata','addon_data','plugin.video.israelive','logos')); 
lastUpdateFile = os.path.join(source, AddonVer+'.txt')

if not os.path.isfile(lastUpdateFile):
	#if not os.path.exists(target):
	#	os.makedirs(target)
	#copytree(source, target)

	packageFile = xbmc.translatePath(os.path.join('special://home','addons',addonID,'resources','repo.zip'))

	with zipfile.ZipFile(packageFile, "r") as z:
		z.extractall(xbmc.translatePath(os.path.join('special://home','addons')))
	
	f = open(lastUpdateFile, 'w')
	f.write(".")
	f.close()

	xbmc.executebuiltin('Notification({0}, Update Avi TV logos, {1})'.format(AddonName, 5000))